libwget-hash(3)

NAME
libwget-hash - Hash convenience functions

SYNOPSIS

  Files

file hashfile.c
Hashing functions.

  Typedefs

typedef struct wget_hash_hd_st wget_hash_hd
Type for hash / digest routines.

  Enumerations

enum wget_digest_algorithm { WGET_DIGTYPE_UNKNOWN = 0, WGET_DIGTYPE_MD5, WGET_DIGTYPE_SHA1, WGET_DIGTYPE_RMD160, WGET_DIGTYPE_MD2, WGET_DIGTYPE_SHA256, WGET_DIGTYPE_SHA384, WGET_DIGTYPE_SHA512, WGET_DIGTYPE_SHA224, WGET_DIGTYPE_MAX }
Enumeration of different hash digest algorithms.

  Functions

void wget_hash_printf_hex (wget_digest_algorithm algorithm, char *out, size_t outsize, const char *fmt,...)

Detailed Description

Provides Hash helper functions

Enumeration Type Documentation

  enum wget_digest_algorithm

Enumeration of different hash digest algorithms.

Enumerator

WGET_DIGTYPE_UNKNOWN
    Indicates 'Unknown hash algorithm', returned by wget_hash_get_algorithm()

WGET_DIGTYPE_MD5
    Type 'MD5' digest

WGET_DIGTYPE_SHA1
    Type SHA1 digest

WGET_DIGTYPE_RMD160
    Type RMD160 digest

WGET_DIGTYPE_MD2
    Type 'MD2' digest

WGET_DIGTYPE_SHA256
    Type 'SHA256' digest

WGET_DIGTYPE_SHA384
    Type 'SHA384' digest

WGET_DIGTYPE_SHA512
    Type 'SHA512' digest

WGET_DIGTYPE_SHA224
    Type 'SHA224' digest

WGET_DIGTYPE_MAX
    Number of digest types

Function Documentation

  void wget_hash_printf_hex (wget_digest_algorithm algorithm, char * out, size_t outsize, const char * fmt, ...)

Parameters
    algorithm The hash algorithm to use
    out Output string buffer
    outsize Size of output string buffer
    fmt Printf-like format specifier
    ... List of arguments

Calculate the hash from the string generated via the printf-style fmt and the following arguments and place it as hexadecimal string into out.

The ideal length of out would be wget_hash_get_len(type) * 2 + 1.

Author

Generated automatically by Doxygen for wget2 from the source code.